module Filterable
  extend ActiveSupport::Concern

  included do
    has_many :subjects, through: :subject_relations, dependent: :destroy
    has_many :subject_relations, as: :subjectable, dependent: :destroy
    has_many :educational_stages, through: :stage_relations, dependent: :destroy
    has_many :stage_relations, as: :stageable, dependent: :destroy
  end
end
